> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Voice Profiles API Endpoint

> This API endpoint allows a user to retrieve all their voice profiles.



## OpenAPI

````yaml get /api/user/voice-profiles/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/voice-profiles/:
    get:
      tags:
        - api
      summary: Get User Voice Profiles API Endpoint
      description: This API endpoint allows a user to retrieve all their voice profiles.
      operationId: get_user_voice_profiles
      responses:
        '200':
          description: Successfully retrieved the user voice profiles
          content:
            application/json:
              schema:
                title: Voice Profile OpenAPI Schema
                type: array
                items:
                  title: Voice Profile
                  type: object
                  properties:
                    voice_profile_id:
                      type: integer
                    disabled:
                      type: boolean
                    profile_name:
                      type: string
                    api_key:
                      type: string
                    region:
                      type: string
                    provider_id:
                      type: string
                    provider_name:
                      type: string
                  description: Voice Profile OpenAPI Schema
              example:
                - voice_profile_id: 1
                  disabled: false
                  profile_name: New Voice Profile
                  api_key: api_key
                  region: westus2
                  provider_id: elevenlabs
                  provider_name: ElevenLabs
        '400':
          description: Failed to retrieve user voice profiles or validation errors
          content: {}
        '500':
          description: Failed to retrieve the user voice profiles
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````